## NAME

CURLOPT_XFERINFODATA - custom pointer passed to the progress callback

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_XFERINFODATA, void *pointer);

## DESCRIPTION

Pass a pointer that will be untouched by libcurl and passed as the first argument in the progress callback set with CURLOPT_XFERINFOFUNCTION.

This is an alias for CURLOPT_PROGRESSDATA.

## DEFAULT

The default value of this parameter is NULL.

## PROTOCOLS

All

## EXAMPLE

http://curl.haxx.se/libcurl/c/progressfunc.html

## AVAILABILITY

Added in 7.32.0

## RETURN VALUE

Returns CURLE_OK

## SEE ALSO

CURLOPT_XFERINFOFUNCTION CURLOPT_XFERINFOFUNCTION

This HTML page was made with roffit.